commit:     36665cd3c3cc9325d799f3f39d3b7da7999c09d6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 11 20:36:10 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 20:55:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36665cd3

dev-python/requests: Bump to 2.25.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/requests/Manifest               |  1 +
 dev-python/requests/requests-2.25.0.ebuild | 56 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/requests/Manifest b/dev-python/requests/Manifest
index e8ddf9c68fe..1466b6610d0 100644
--- a/dev-python/requests/Manifest
+++ b/dev-python/requests/Manifest
@@ -1 +1,2 @@
 DIST requests-2.24.0.tar.gz 115071 BLAKE2B 
ae98be1d023b2a7b883e15a7a5d214ecbf482234e9de6bfc9cd06d1f04d1b57d101d41a2c6fdd07b7a6b468875463514841d2e023391ac8ae0797a2cb58b3424
 SHA512 
46ca8ab70eb39be8398c242404b9b3ffb6baddd5c78eaad125b55c719154eb8c7b6a737a8dc587b0cb51b3b9a074abaa8b2ff347a64d38f4f90cdba4db16a119
+DIST requests-2.25.0.tar.gz 101897 BLAKE2B 
5de8f4f5059915f929ebb71d8209bfefbe95bb381544ed0b6875cc01cb958e6fe8861cd8321143463da5dd872ad4ff8c828008bcd6409b41857c4d2037db3f67
 SHA512 
dd13ccb6bcd95bdd31a414dba67e5a0914ff172ae6f5d255849837e8e2a7e404e3c02fc3d07e5ff6dc81c12d0fe56c3b83bc62bc377dd3f504b00b97b144db74

diff --git a/dev-python/requests/requests-2.25.0.ebuild 
b/dev-python/requests/requests-2.25.0.ebuild
new file mode 100644
index 00000000000..d885e1466c0
--- /dev/null
+++ b/dev-python/requests/requests-2.25.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library for human beings"
+HOMEPAGE="https://requests.readthedocs.io/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="socks5 +ssl"
+
+RDEPEND="
+       >=dev-python/certifi-2017.4.17[${PYTHON_USEDEP}]
+       >=dev-python/chardet-3.0.2[${PYTHON_USEDEP}]
+       <dev-python/chardet-4[${PYTHON_USEDEP}]
+       >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+       <dev-python/idna-3[${PYTHON_USEDEP}]
+       <dev-python/urllib3-1.27[${PYTHON_USEDEP}]
+       socks5? ( >=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}] )
+       ssl? (
+               >=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
+       )
+"
+
+BDEPEND="
+       test? (
+               dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               >=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # strip tests that require some kind of network
+       sed -e 's:test_connect_timeout:_&:' \
+               -e 's:test_total_timeout_connect:_&:' \
+               -i tests/test_requests.py || die
+       # probably pyopenssl version dependent
+       sed -e 's:test_https_warnings:_&:' \
+               -i tests/test_requests.py || die
+       # doctests rely on networking
+       sed -e 's:--doctest-modules::' \
+               -i pytest.ini || die
+}

Reply via email to